<?php
require_once('../wu-engine/wu_init.php');
if(isset($_GET['edit'])) {
$user = intval($_GET['edit']);
$iuser = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT * FROM `".DB_PREFIX."_users` WHERE uid='$user' LIMIT 1"));
if (empty($iuser['uid'])) {
header ("Location: /".ADMINPATH."/users"); exit;
}
$page_name = 'Редактирование пользователя '.$iuser['log'];
$page_keys = 'пользователь,юзер';
$page_desc = 'Редактирование пользователя '.$iuser['log'];
$prevurl_1 = '/'.ADMINPATH.'/';
$prevname_1 = 'Панель управления';
$prevurl_2 = '/'.ADMINPATH.'/users';
$prevname_2 = 'Управление пользователями';
} else {
$page_name = 'Управление пользователями';
$page_keys = 'пользователь,юзер';
$page_desc = 'Управление пользователями';
$prevurl_1 = '/'.ADMINPATH.'/';
$prevname_1 = 'Панель управления';
}
$online_title = 'В панели управления';
$online_url = '/';
include('../wu-engine/wu_header.php');
if(!USER_LOGGED) { header ("Location: /"); exit; }
?>

<?php
//Список групп
if(!isset($_GET['edit'])) {
?>

<div id="user_new" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-user-plus3"></i> Новый пользователь</h4>
</div>
<div class="modal-body with-padding">
<form action="#" id="wu-form-send">
<input type="hidden" name="token" value="<?php echo $token; ?>" />

<div class="form-group">
<label>Название группы:</label>
<input type="text" placeholder="Введите название группы" value="" name="ti" class="form-control" maxlength="100" />
</div>

<div class="table-responsive">
<table class="table table-hover table-bordered">
<thead>
<tr>
<th>Право</th>
<th>Активация</th>
</tr>
</thead>
<tbody>
<?php
$wu_q = mysqli_query($connect_db, "SELECT * FROM `".DB_PREFIX."_rights` ORDER BY ti ASC");
while($row = mysqli_fetch_assoc($wu_q)) {
?>
<tr>
<td><?php echo $row['ti']; ?></td>
<td>
<label class="checkbox-inline">
<input type="checkbox" class="switch switch-small" data-on="success" data-off="danger" name="<?php echo $row['id']; ?>" />
</label>
</td>
</tr>
<?php } ?>
</tbody>
</table>
</div>
</div>
<div class="modal-footer">
<button type="button" id="group_send" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Создаём">Создать группу</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>

<?php
//Подключение пагинации и функций
include('../wu-engine/wu-functions/wu_pagination.php');
include('../wu-engine/wu-functions/wu_functions.php');

$num = 20; //Сколько выводить на странице
if (isset($_GET['page'])) { $page = intval($_GET['page']); if ($page == 0) { $page = 1; } } else { $page = 1; }
$qu = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT count(`uid`) AS `cnt` FROM `".DB_PREFIX."_users` WHERE uid > '0'"));
$co = $qu['cnt'];
$total = intval(($co - 1) / $num) + 1;
$page = intval($page);
if(empty($page) or $page < 0) $page = 1;
if($page > $total) $page = $total;
$start = $page * $num - $num;
$qt = mysqli_query($connect_db, "SELECT uid,log,ref,bal,regdate,lastip,last,av,rat,multi,ban FROM `".DB_PREFIX."_users` WHERE uid > '0' ORDER BY uid DESC LIMIT $start, $num");
$ht = mysqli_num_rows($qt);
if ($ht > 0) {
?>
<div id="ticket_list">
<div class="panel panel-default img40">
<div class="panel-heading"><h6 class="panel-title"><i class="icon-users2"></i> Пользователи</h6></div>
<div class="table-responsive">
<table class="table table-hover text-center">
<thead>
<tr>
<th class="text-center">Пользователь</th>
<th class="text-center">UID</th>
<th class="text-center">Реферер</th>
<th class="text-center">Баланс</th>
<th class="text-center">Рейтинг</th>
<th class="text-center">Дата регистрации</th>
<th class="text-center">Последний вход</th>
<th class="text-center">Последний IP</th>
<th class="text-center">Бан</th>
<th class="text-center">Действия</th>
</tr>
</thead>
<tbody>
<?php
while($row = mysqli_fetch_assoc($qt)) {
if (empty($row['av'])) { $ava_link_thumb = '/wu-static/img/avatar_default.png'; $ava_link_full = '/wu-static/img/avatar_default.png'; } else { $ava_link_thumb = '/wu-uploads/avatars/thumbs/'.$row['av']; $ava_link_full = '/wu-uploads/avatars/full/'.$row['av']; }
if (!empty($row['ref'])) { $referer_q = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid,log FROM `".DB_PREFIX."_users` WHERE uid='$row[ref]' LIMIT 1")); $referer = $referer_q['log']; } else { $referer = 'Нет'; }
?>
<tr class="mc_<?php echo $row['id']; ?>">
<td>
<div class="lightgallerys">
<a href="<?php echo $ava_link_full; ?>" data-sub-html="Аватар пользователя <?php echo $row['log']; ?>"><img src="<?php echo $ava_link_thumb; ?>" alt="Аватар пользователя <?php echo $row['log']; ?>" /></a>
</div>
<div class="margt_5 tip" data-placement="bottom" data-original-title="<?php echo $row['ti']; ?>"><?php echo $row['log']; ?></div>
</td>
<td><?php echo $row['uid']; ?></td>
<td><?php echo $referer; ?></td>
<td><?php echo $row['bal']; ?> руб.</td>
<td><?php echo $row['rat']; ?></td>
<td><?php echo wudatenorm($row['regdate']); ?></td>
<td><?php echo wudatenorm($row['last']); ?></td>
<td><?php echo $row['lastip']; ?></td>
<td>
<?php
if (!empty($row['ban'])) {
$ban = explode('||', $row['ban']);
if ($ban['0'] == 0) { $block_date = 'навсегда'; } else { $block_date = 'до '.date('d.m.Y H:i',$ban['0']); }
echo '<span class="text-danger">Заблокирован '.$block_date.' по следующей причине: '.$ban['1'].'</span>';
} else { echo 'Нет'; }
?>
</td>
<td>
<a href="/<?php echo ADMINPATH; ?>/users?edit=<?php echo $row['uid']; ?>" class="btn btn-icon btn-sm btn-default tip" data-placement="bottom" data-original-title="Редактировать пользователя"><i class="icon-pencil"></i></a>
<a href="javascript://" class="btn btn-icon btn-sm btn-default tip" data-placement="bottom" data-original-title="Удалить пользователя" onclick="user_del('<?php echo $row['uid']; ?>');"><i class="icon-remove"></i></a>
</td>
</tr>
<?php } ?>
</tbody>
</table>
</div>
</div>
</div>

<div id="modal_user_del" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-sm">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-remove"></i> Удаление пользователя #<font id="mtodel"></font></h4>
</div>
<div class="modal-body with-padding">
<div class="alert alert-danger"><center>Внимание! Пользователь будет удалён.</center></div>
</div>
<div class="modal-footer">
<button type="button" id="user_del" class="btn btn-danger" data-loading-text="<i class='icon-spinner7 spin'></i> Удаляем">Удалить</button>
<button type="button" class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>

<script type="text/javascript">
//Предудаление пользователя
var user_to_del;
function user_del(id){
user_to_del = id;
$('#mtodel').text(id);
$('#modal_user_del').modal('show');
};

//Удаление пользователя
$('#user_del').click(function(){
var data = {'id': user_to_del};
wu_response('/wu-engine/wu-actions/adm_user_del.php', data, 'user_del', '1', function(wu_result) {
if (wu_result == '1') {
$(location).attr('href','/<?php echo ADMINPATH; ?>/users');
}
if (wu_result == '0') {
notif_e('Этого пользователя удалить нельзя');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});
</script>

<?php
$pageNav = new SimPageNav();
$pages = ceil($co/$num);
echo $pageNav->getLinks($pages, 1, $page, 10, 'page');
} else { echo '<div class="alert alert-info fade in"><i class="icon-info"></i> Нет пользователей</div>'; } ?>

<link href="/wu-static/js/lightgallery/css/lightgallery.min.css" rel="stylesheet">
<script src="/wu-static/js/lightgallery/js/picturefill.min.js"></script>
<script src="/wu-static/js/lightgallery/js/lightgallery.min.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-fullscreen.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-thumbnail.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-video.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-autoplay.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-zoom.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-pager.js"></script>
<script src="/wu-static/js/lightgallery/js/jquery.mousewheel.min.js"></script>

<script type="text/javascript">
$(document).ready(function() {
$(".lightgallerys").lightGallery(); 
});
</script>

<?php
//Страница редактирования
} else {
?>

<h6 class="heading-hr"><i class="icon-vcard"></i> Персональные данные:</h6>
<div class="block">
<div class="lightgallerys flleft" style="margin-right: 10px;">
<div class="thumbnail">
<div class="thumb img-w-200 img-h-200">
<?php if (empty($iuser['av'])) { $isrc = '/wu-static/img/avatar_default.png'; } else { $isrc = '/wu-uploads/avatars/full/'.$iuser['av']; } ?>
<img src="<?php echo $isrc; ?>" />
<div class="thumb-options">
<span>
<a data-toggle="modal" role="button" href="#modal_avatar" class="btn btn-icon btn-success"><i class="icon-pencil"></i></a>
<?php if (!empty($iuser['av'])) { ?><a data-toggle="modal" role="button" href="#modal_avatar_d" class="btn btn-icon btn-success"><i class="icon-remove"></i></a><?php } ?>
</span>
</div>
</div>
</div>
</div>
<div class="clear"></div>
</div>

<div id="modal_avatar" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-sm">
<div class="modal-content">
<form enctype="multipart/form-data" action="javascript:void(null);" id="wu-av" method="POST">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-user"></i> Загрузка аватара</h4>
</div>
<div class="modal-body with-padding">
<input type="hidden" name="token" value="<?php echo $token; ?>" />
<input type="hidden" name="usr" value="<?php echo $user; ?>" />
<label>Выберите новый аватар:</label>
<input type="file" class="styled form-control" name="avatar" accept="image/*" />
<span class="help-block">Поддерживаются форматы: jpg, png, gif.<br />Максимальный размер - 300 Кб.</span>
</div>
</div>
<div class="modal-footer">
<button class="btn btn-success" id="avatar_re" data-loading-text="<i class='icon-spinner7 spin'></i> Загружаем"><i class="icon-upload2"></i> Загрузить</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</form>
</div>
</div>

<div id="modal_avatar_d" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-sm">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-remove"></i> Удаление аватара</h4>
</div>
<div class="modal-body with-padding">
<div class="alert alert-danger fade in"><center>Восстановить аватар будет нельзя</center></div>
</div>
</div>
<div class="modal-footer">
<button class="btn btn-danger" id="avatar_del" data-loading-text="<i class='icon-spinner7 spin'></i> Удаляем"><i class="icon-remove"></i> Удалить</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>

<div id="notif" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-lg">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-info"></i> Уведомления</h4>
</div>
<div class="modal-body with-padding">
<?php
$qr = mysqli_query($connect_db, "SELECT id,st,dt,msg FROM ".DB_PREFIX."_my_n WHERE usr = '$iuser[uid]' ORDER BY id DESC");
if (mysqli_num_rows($qr) > 0) {
while($rown = mysqli_fetch_array($qr)) {
$stn = $rown['st'];
?>
<div class="fulln">
<span class="alert-notice"><?php echo date('d.m.y H:i',$rown['dt']); ?></span>
<div class="alert alert-<?php if($stn == 0) { echo 'danger'; } if($stn == 1) { echo 'success'; } if($stn == 2) { echo 'info'; } if($stn == 3) { echo 'success'; } ?> fade in block-inner">
<i class="icon-<?php if($stn == 0) { echo 'warning'; } if($stn == 1) { echo 'checkmark3'; } if($stn == 2) { echo 'info'; } if($stn == 3) { echo 'plus'; } ?>"></i> <?php echo $rown['msg']; ?>
</div></div>
<?php
} } else { echo '<div class="alert alert-info fade in"><i class="icon-info"></i> Уведомлений нет</div>'; } ?>
</div>
<div class="modal-footer">
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>

<div class="block-inner">
<div class="form-group">
<div class="row">
<div class="col-md-6">
<label>UID:</label>
<input type="text" value="<?php echo $iuser['uid']; ?>" class="form-control" readonly="readonly" />
</div>
<div class="col-md-6">
<label>Логин:</label>
<input type="text" value="<?php echo $iuser['log']; ?>" class="form-control" id="ilogin" />
</div>
</div>
</div>
<div class="form-group">
<div class="row">
<div class="col-md-6">
<label>E-mail:</label>
<div class="input-group">
<input type="text" class="form-control" placeholder="E-mail адрес" value="<?php echo $iuser['mail']; ?>" id="imail" />
<span class="input-group-addon">
<input type="checkbox" id="mailver" class="styled tip" name="input-addon-checkbox" data-placement="bottom" data-original-title="Подтверждён" <?php if ($iuser['mailver'] == 1) { echo 'checked="checked"'; } ?> />
</span>
</div>
</div>
<div class="col-md-6">
<label>Уведомления на E-mail:</label>
<select class="form-control" id="tomail">
<option value="1"<?php if ($iuser['tomail'] == 1) { echo ' selected=""'; } ?>>Включены</option>
<option value="0"<?php if ($iuser['tomail'] == 0) { echo ' selected=""'; } ?>>Выключены</option>
</select>
</div>
</div>
</div>
</div>
<div class="block-inner">
<center><a href="javascript://" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Сохраняем" id="imain">Сохранить</a></center>
</div>


<?php
$wu_q = mysqli_query($connect_db, "SELECT id,ident,ti FROM `".DB_PREFIX."_pay_systems` WHERE inprofile = '1' ORDER BY pos ASC");
$p_how = mysqli_num_rows($wu_q);
if ($p_how > 0) {
$purses = explode('||', $iuser['purse']);
$purses_all = array();
if (!empty($purses[0])) {
foreach ($purses as $key => $val)
{
$now_purse = explode('::', $val);
$purses_all[$now_purse[0]] = $now_purse[1];
}
}
?>
<h6 class="heading-hr"><i class="icon-coin"></i> Платёжные данные:</h6>
<?php
$real_save = '';
$real_idis = '';
$real_change = '';
$real_val = '';
$real_data = '';
$real_toreal = '';
while($row = mysqli_fetch_assoc($wu_q)) {
if (isset($purses_all[$row['ident']])) {
$real_to = $purses_all[$row['ident']];
} else {
$real_to = '';
}
$real_save .= "var real_$row[ident] = '$real_to'; ";
$real_idis .= "#p_$row[ident],";
$real_change .= "$('#p_$row[ident]').val() != real_$row[ident] || ";
$real_val .= "var $row[ident] = $('#p_$row[ident]').val(); ";
$real_data .= "'paysys_$row[ident]': $row[ident], ";
$real_toreal .= "real_$row[ident] = $('#p_$row[ident]').val(); ";
?>
<div class="form-group">
<label><?php echo $row['ti']; ?>:</label>
<input type="text" placeholder="Введите номер <?php echo $row['ti']; ?> кошелька" value="<?php if (isset($purses_all[$row['ident']])) { echo $purses_all[$row['ident']]; } ?>" id="p_<?php echo $row['ident']; ?>" class="form-control">
</div>
<?php } ?>
<div class="block-inner">
<center><a href="javascript://" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Сохраняем" id="purses">Сохранить</a></center>
</div>
<?php
}
$real_idis = substr($real_idis,0,-1);
$real_change = substr($real_change,0,-4);
$real_data = substr($real_data,0,-2);
?>


<h6 class="heading-hr"><i class="icon-stats"></i> Финансы:</h6>
<div class="block-inner">
<div class="form-group">
<div class="row">
<div class="col-md-6">
<label>Баланс:</label>
<input type="text" value="<?php echo $iuser['bal']; ?>" class="form-control" readonly="readonly" id="ibal" />
</div>
<div class="col-md-6">
<label>Замороженные средства:</label>
<input type="text" value="<?php echo $iuser['bal_f']; ?>" class="form-control" readonly="readonly" id="ibalf" />
</div>
</div>
</div>
<div class="form-group">
<div class="row">
<div class="col-md-12">
<a data-toggle="modal" role="button" href="#finance_main" class="btn btn-default">Управление средствами</a>
<a href="javascript://" id="finance_hist" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Загружаем">История операций</a>
</div>
</div>
</div>
</div>

<div id="finance_main" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-coin"></i> Управление средствами</h4>
</div>
<div class="modal-body with-padding">
<div class="form-group">
<label>Сумма операции:</label>
<input type="text" placeholder="Введите сумму операции" id="fin_sum" class="form-control" />
</div>
<div class="form-group">
<label>Тип операциии:</label>
<select class="form-control" id="fin_type">
<option value="1">Зачисление на баланс</option>
<option value="2">Списание с баланса</option>
<option value="3">Перевод с баланса на заморозку</option>
<option value="4">Перевод с заморозки на баланс</option>
<option value="5">Зачисление на заморозку</option>
<option value="6">Списание с заморозки</option>
</select>
</div>
<div class="form-group">
<label>Комментарий к операции:</label>
<input type="text" placeholder="Комментарий к операции, можно не заполнять" id="fin_comment" class="form-control" />
</div>
<div class="form-group" id="savehist">
<div class="checkbox">
<label>
<input type="checkbox" class="styled" id="fin_tohist" checked="checked">
Сохранить в истории операций пользователя
</label>
</div>
</div>
<div class="form-group">
<div class="checkbox">
<label>
<input type="checkbox" class="styled" id="fin_tonotif" checked="checked">
Отправить уведомление
</label>
</div>
</div>
</div>
<div class="modal-footer">
<button type="button" id="fin_go" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Выполняем">Выполнить операцию</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>

<div id="fin_hist" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-lg">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-history"></i> История операций</h4>
</div>
<div class="modal-body with-padding">
<div id="fin_full"></div>
</div>
<div class="modal-footer">
<button type="button" id="fin_clear" class="btn btn-danger" data-loading-text="<i class='icon-spinner7 spin'></i> Очищаем">Очистить историю</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>


<h6 class="heading-hr"><i class="icon-info"></i> Уведомления:</h6>
<div class="block-inner">
<div class="form-group">
<div class="row">
<div class="col-md-12">
<a href="javascript://" id="notif_hist" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Загружаем" class="btn btn-default">Полученные уведомления</a>
<a data-toggle="modal" role="button" href="#modal_notif_send" class="btn btn-default">Отправить уведомление</a>
</div>
</div>
</div>
</div>

<div id="modal_notif_hist" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-lg">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-info"></i> Уведомления</h4>
</div>
<div class="modal-body with-padding">
<div id="notif_full"></div>
</div>
<div class="modal-footer">
<button type="button" id="notif_clear" class="btn btn-danger" data-loading-text="<i class='icon-spinner7 spin'></i> Очищаем">Очистить уведомления</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>

<div id="modal_notif_send" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-mail-send"></i> Отправка уведомления</h4>
</div>
<div class="modal-body with-padding">
<div class="form-group">
<label>Текст сообщения:</label>
<textarea rows="3" cols="1" class="form-control" placeholder="Введите текст сообщения, можно использовать HTML теги." id="notif_msg"></textarea>
</div>
<div class="form-group">
<label>Тип уведомления:</label>
<select class="form-control" id="notif_type">
<option value="0">Ошибка</option>
<option value="1">Успех</option>
<option value="2">Информация</option>
</select>
</div>
</div>
<div class="modal-footer">
<button type="button" id="notif_send" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Отправляем">Отправить</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>


<h6 class="heading-hr"><i class="icon-rating3"></i> Рейтинг:</h6>
<div class="block-inner">
<div class="form-group">
<div class="row">
<div class="col-md-12">
<label>Рейтинг:</label>
<input type="text" value="<?php echo $iuser['rat']; ?>" class="form-control" readonly="readonly" id="irat" />
</div>
</div>
</div>
<div class="form-group">
<div class="row">
<div class="col-md-12">
<a data-toggle="modal" role="button" href="#modal_rat" class="btn btn-default">Управление рейтингом</a>
</div>
</div>
</div>
</div>

<div id="modal_rat" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-rating3"></i> Управление рейтингом</h4>
</div>
<div class="modal-body with-padding">
<div class="form-group">
<label>Количество рейтинга:</label>
<input type="text" placeholder="Введите количество рейтинга" id="rat_sum" class="form-control" />
</div>
<div class="form-group">
<label>Тип операциии:</label>
<select class="form-control" id="rat_type">
<option value="1">Зачисление рейтинга</option>
<option value="2">Списание рейтинга</option>
</select>
</div>
<div class="form-group">
<label>Комментарий к операции:</label>
<input type="text" placeholder="Комментарий к операции, можно не заполнять" id="rat_comment" class="form-control" />
</div>
<div class="form-group">
<div class="checkbox">
<label>
<input type="checkbox" class="styled" id="rat_tonotif" checked="checked">
Отправить уведомление
</label>
</div>
</div>
</div>
<div class="modal-footer">
<button type="button" id="rat_go" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Выполняем">Выполнить операцию</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>

<div id="modal_group_change" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-users2"></i> Смена группы</h4>
</div>
<div class="modal-body with-padding">
<div class="form-group">
<label>Новая группа:</label>
<select class="form-control" id="newgroup">
<?php
$qin = mysqli_query($connect_db, "SELECT id,ti FROM `".DB_PREFIX."_groups` ORDER BY id ASC");
while($rowi = mysqli_fetch_assoc($qin)) {
if ($rowi['id'] > 0) {
?>
<option value="<?php echo $rowi['id']; ?>"><?php echo $rowi['ti']; ?></option>
<?php } } ?>
</select>
</div>
<div class="form-group">
<label>Комментарий:</label>
<input type="text" placeholder="Комментарий, можно не заполнять" id="group_comment" class="form-control" />
</div>
<div class="form-group">
<div class="checkbox">
<label>
<input type="checkbox" class="styled" id="group_tonotif" checked="checked">
Отправить уведомление
</label>
</div>
</div>
</div>
<div class="modal-footer">
<button type="button" id="group_go" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Меняем">Сменить группу</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>


<h6 class="heading-hr"><i class="icon-lock"></i> Смена пароля:</h6>
<div class="block-inner">
<div class="form-group">
<div class="row">
<div class="col-md-12">
<label>Новый пароль:</label>
<input type="text" placeholder="Введите новый пароль" class="form-control" id="newpass" />
</div>
</div>
</div>
</div>
<div class="block-inner">
<center><a href="javascript://" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Сохраняем" id="pass_change">Сохранить</a></center>
</div>


<h6 class="heading-hr"><i class="icon-users2"></i> Рефсистема:</h6>
<div class="block-inner">
<div class="form-group">
<div class="row">
<div class="col-md-6">
<label>Реферер:</label>
<div class="input-group">
<input type="text" value="<?php echo $iuser['ref']; ?>" class="form-control" id="nowref" />
<span class="input-group-btn">
<a href="javascript://" id="refsave" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Сохраняем">Сохранить</a>
</span>
</div>
</div>
<div class="col-md-6">
<label>Количество рефералов:</label>
<div class="input-group">
<input type="text" value="<?php echo mysqli_num_rows(mysqli_query($connect_db, "SELECT uid FROM `".DB_PREFIX."_users` WHERE ref = '$iuser[uid]'")); ?>" class="form-control" readonly="readonly" />
<span class="input-group-btn">
<a href="javascript://" id="ireferals" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Загружаем">Смотреть рефералов</a>
</span>
</div>
</div>
</div>
</div>
</div>

<div id="modal_refs" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-lg">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-users2"></i> Рефералы</h4>
</div>
<div class="modal-body with-padding">
<div id="full_refs"></div>
</div>
<div class="modal-footer">
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>




<h6 class="heading-hr"><i class="icon-user-minus"></i> Бан:</h6>
<div class="block-inner">
<div class="form-group">
<div class="row">
<div class="col-md-12">
<label>Введите причину бана:</label>
<input type="text" placeholder="Причина бана" id="banreas" value="<?php $ban = str_replace('0||','',$iuser['ban']); echo $ban; ?>" class="form-control" />
</div>
</div>
</div>
</div>
<div class="block-inner">
<center><a href="javascript://" class="btn btn-success" data-loading-text="<i class='icon-spinner7 spin'></i> Сохраняем" id="ban_change">Сохранить</a></center>
</div>



<h6 class="heading-hr"><i class="icon-cog3"></i> Дополнительно:</h6>
<div class="block-inner">
<div class="form-group">
<div class="row">
<div class="col-md-6">
<label>Регистрационный IP:</label>
<input type="text" placeholder="Регистрационный IP" value="<?php echo $iuser['regip']; ?>" class="form-control" disabled="disabled" />
</div>
<div class="col-md-6">
<label>Реферер:</label>
<input type="text" placeholder="Реферер" value="<?php if ($iuser['ref'] > 0) { $ref = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid,log FROM ".DB_PREFIX."_us WHERE uid='$iuser[ref]' LIMIT 1")); echo $ref['log']; } else { echo 'Нет'; } ?>" class="form-control" disabled="disabled" />
</div>
</div>
</div>
<div class="form-group">
<div class="row">
<div class="col-md-6">
<label>Дата регистрации:</label>
<input type="text" placeholder="Дата регистрации" value="<?php echo date('d.m.y H:i',$iuser['regdate']); ?>" class="form-control" disabled="disabled" />
</div>
<div class="col-md-6">
<label>Последний вход:</label>
<input type="text" placeholder="Последний вход" value="<?php echo date('d.m.y H:i',$iuser['last']); ?>" class="form-control" disabled="disabled" />
</div>
</div>
</div>
<div class="form-group">
<div class="row">
<div class="col-md-6">
<label>Отдано рефереру:</label>
<input type="text" placeholder="Отдано рефереру" value="<?php echo $iuser['toref']; ?>" id="toref" class="form-control" disabled="disabled" />
</div>
<div class="col-md-6">
<label>Количество рефералов:</label>
<input type="text" placeholder="Количество рефералов" value="<?php $refq = mysqli_query($connect_db, "SELECT uid,log FROM ".DB_PREFIX."_users WHERE ref = '$iuser[uid]'"); $refh = mysqli_num_rows($refq); echo $refh; ?>" class="form-control" disabled="disabled" />
</div>
</div>
</div>
<?php if ($refh > 0) { ?>
<div class="form-group">
<label>Рефералы:</label>
<textarea rows="5" cols="5" class="form-control" placeholder="Рефералы" disabled="disabled"><?php while ($rowr = mysqli_fetch_assoc($refq)) { echo "$rowr[log] "; } ?></textarea>
</div>
<?php } ?>
</div>

<link href="/wu-static/js/lightgallery/css/lightgallery.min.css" rel="stylesheet">
<script src="/wu-static/js/lightgallery/js/picturefill.min.js"></script>
<script src="/wu-static/js/lightgallery/js/lightgallery.min.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-fullscreen.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-thumbnail.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-video.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-autoplay.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-zoom.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-pager.js"></script>
<script src="/wu-static/js/lightgallery/js/jquery.mousewheel.min.js"></script>

<script type="text/javascript">
$(function() {
//Сохранение основного
$('#imain').click(function(){
var ilogin = $('#ilogin').val();
var tomail = $('#tomail').val();
var imail = $('#imail').val();
var mailver = $('#mailver').prop('checked');
var data = {'login': ilogin, 'mail': imail, 'mailver': mailver, 'tomail': tomail, 'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_edit_main.php', data, 'imain', '1', function(wu_result) {
if (wu_result == '0') {
notif_e('Вы не ввели логин');
}
if (wu_result == '1') {
notif_s('Сохранено');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

//Выполнение операции
$('#fin_go').click(function(){
var sum = $('#fin_sum').val();
var type = $('#fin_type').val();
var comment = $('#fin_comment').val();
var tohist = $('#fin_tohist').prop('checked');
var tonotif = $('#fin_tonotif').prop('checked');
var data = {'sum': sum, 'type': type, 'comment': comment, 'tohist': tohist, 'tonotif': tonotif, 'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_edit_finance.php', data, 'fin_go', '1', function(wu_result) {
if (wu_result == '0') {
notif_e('Сумма операции должна быть больше нуля');
}
if (wu_result == '1') {
rebalance();
$('#finance_main').modal('hide');
notif_s('Операция выполнена');
$('#fin_sum, #fin_comment').val('');
$('#fin_type').val('1');
$('#savehist').show('');
}
if (wu_result == '2') {
notif_e('Сумма заморозки не может быть меньше нуля');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

//Скрытие заморозки
$('#fin_type').bind("change keyup paste input", function() {
if ($(this).val() > 4) {
$('#savehist').hide('');
} else {
$('#savehist').show('');
}
});

//Обновление баланса
function rebalance(){
var data = {'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_check_balance.php', data, '', '1', function(wu_result) {
if (wu_result == 'wu-error') {
wu_err();
} else {
var arr = wu_result.split('|');
$('#ibal').val(arr[0]);
$('#ibalf').val(arr[1]);
$('#irat').val(arr[2]);
}
});
};

//Загрузка истории финансовых операций
$('#finance_hist').click(function(){
var data = {'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_finhist_load.php', data, 'finance_hist', '1', function(wu_result) {
if (wu_result == 'wu-err-3') {
wu_err();
} else {
$("#fin_full").html(wu_result);
$('#fin_hist').modal('show');
}
});
});

//Очистка истории финансовых операций
$('#fin_clear').click(function(){
var data = {'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_finhist_clear.php', data, 'fin_clear', '1', function(wu_result) {
if (wu_result == '1') {
$('#fin_full').html('<div class="alert alert-info fade in"><i class="icon-info"></i> Операций нет</div>');
notif_s('Успешно');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

//Очистка уведомлений
$('#notif_clear').click(function(){
var data = {'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_notif_clear.php', data, 'notif_clear', '1', function(wu_result) {
if (wu_result == '1') {
$('#notif_full').html('<div class="alert alert-info fade in"><i class="icon-info"></i> Уведомлений нет</div>');
notif_s('Успешно');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

//Загрузка уведомлений
$('#notif_hist').click(function(){
var data = {'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_notif_load.php', data, 'notif_hist', '1', function(wu_result) {
if (wu_result == 'wu-err-3') {
wu_err();
} else {
$("#notif_full").html(wu_result);
$('#modal_notif_hist').modal('show');
}
});
});

//Отправка уведомлений
$('#notif_send').click(function(){
var msg = $('#notif_msg').val();
var type = $('#notif_type').val();
var data = {'msg': msg, 'type': type, 'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_notif_send.php', data, 'notif_send', '1', function(wu_result) {
if (wu_result == '0') {
notif_e('Вы не ввели сообщение');
}
if (wu_result == '1') {
$('#modal_notif_send').modal('hide');
notif_s('Уведомление отправлено');
$('#notif_msg').val('');
$('#notif_type').val('0');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

//Выполнение операции с рейтингом
$('#rat_go').click(function(){
var sum = $('#rat_sum').val();
var type = $('#rat_type').val();
var comment = $('#rat_comment').val();
var tonotif = $('#rat_tonotif').prop('checked');
var data = {'sum': sum, 'type': type, 'comment': comment, 'tonotif': tonotif, 'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_edit_rat.php', data, 'rat_go', '1', function(wu_result) {
if (wu_result == '0') {
notif_e('Сумма операции должна быть больше нуля');
}
if (wu_result == '1') {
rebalance();
$('#modal_rat').modal('hide');
notif_s('Операция выполнена');
$('#rat_sum, #rat_comment').val('');
$('#rat_type').val('1');
}
if (wu_result == '2') {
notif_e('Сумма заморозки не может быть меньше нуля');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

//Смена пароля
$('#pass_change').click(function(){
var pass = $('#newpass').val();
var data = {'pass': pass, 'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_edit_pass.php', data, 'pass_change', '1', function(wu_result) {
if (wu_result == '0') {
notif_e('Вы не ввели пароль');
}
if (wu_result == '1') {
notif_s('Пароль изменён');
}
if (wu_result == '2') {
notif_e('Новый пароль совпадает со старым');
}
if (wu_result == '3') {
notif_e('Пароль меньще 3-х символов');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

//Загрузка рефералов
$('#ireferals').click(function(){
var data = {'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_refs_load.php', data, 'ireferals', '1', function(wu_result) {
if (wu_result == 'wu-err-3') {
wu_err();
} else {
$("#full_refs").html(wu_result);
$('#modal_refs').modal('show');
$(".lightgallerys").lightGallery(); 
}
});
});

//Сохранение реферера
$('#refsave').click(function(){
var referer = $('#nowref').val();
var data = {'referer': referer, 'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_edit_referer.php', data, 'refsave', '1', function(wu_result) {
if (wu_result == '0') {
notif_e('Такого реферера не существует');
}
if (wu_result == '1') {
notif_s('Реферер изменён');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

//Бан
$('#ban_change').click(function(){
var reas = $('#banreas').val();
var data = {'reas': reas, 'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_ban.php', data, 'ban_change', '1', function(wu_result) {
if (wu_result == '1') {
notif_s('Сохранено');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});


//Сохранение платёжных данных
$('#purses').click(function(){
<?php echo $real_val; ?>
var data = {<?php echo $real_data; ?>, 'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_edit_purse.php', data, 'purses', '1', function(wu_result) {
if (wu_result == '1') {
notif_s('Платёжные данные успешно изменены');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

//Загрузка аватара
$('#avatar_re').click(function(){
var data = new FormData($('#wu-av')[0]);
wu_response('/wu-engine/wu-actions/adm_user_avatar_upload.php', data, 'avatar_re', '2', function(wu_result) {
if (wu_result == '0') {
notif_e('Неверный формат изображения');
}
if (wu_result == '1') {
$(location).attr('href','/<?php echo ADMINPATH; ?>/users?edit=<?php echo $user; ?>');
}
if (wu_result == '2') {
notif_e('Размер изображения не должен превышать 1 Мб');
}
if (wu_result == '4') {
notif_e('Минимальный размер картинки 50x50 пикселей');
}
if (wu_result == '5') {
notif_e('Выберите изображение');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

//Удаление аватара
$('#avatar_del').click(function(){
var data = {'del': 'del', 'usr': '<?php echo $user; ?>'};
wu_response('/wu-engine/wu-actions/adm_user_avatar_del.php', data, 'avatar_del', '1', function(wu_result) {
if (wu_result == '1') {
$(location).attr('href','/<?php echo ADMINPATH; ?>/users?edit=<?php echo $user; ?>');
}
if (wu_result == 'wu-error') {
wu_err();
}
});
});

});

//Удаление финансовой операции
function i_del(id){
var data = {'id': id};
wu_response('/wu-engine/wu-actions/adm_user_finhist_del.php', data, '', '1', function(wu_result) {
if (wu_result == '1') {
$('#op_'+id).hide('slow', function(){ $('#op_'+id).remove(); if ($('#fin_full').height() < 50) { $('#fin_full').html('<div class="alert alert-info fade in"><i class="icon-info"></i> Операций нет</div>'); } });
}
if (wu_result == 'wu-error') {
wu_err();
}
});
};

//Удаление уведомления
function i_n_del(id){
var data = {'id': id};
wu_response('/wu-engine/wu-actions/adm_user_notif_del.php', data, '', '1', function(wu_result) {
if (wu_result == '1') {
$('#notif_'+id).hide('slow', function(){ $('#notif_'+id).remove(); if ($('#notif_full').height() < 50) { $('#notif_full').html('<div class="alert alert-info fade in"><i class="icon-info"></i> Уведомлений нет</div>'); } });
}
if (wu_result == 'wu-error') {
wu_err();
}
});
};
</script>

<?php } ?>
<script src="/wu-static/js/switch.min.js"></script>

<?php include('../wu-engine/wu_footer.php'); ?>